<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>

  <body>
    <h1>Nỗi mảng bằng ES (Spread Operator)</h1>
  </body>
  <script>
    //Mảng
    var arr_1 = [1, 2, 3];
    var arr_2 = [4, 5, 6];
    var arr_3 = [...arr_1, ...arr_2];
    console.log(arr_3);

    //Object
    var obj_1 = { name: "ECMAScript" };
    var obj_2 = { year: 2022 };

    var clone_obj = { ...obj_1, ...obj_2 };
    console.log(clone_obj);
    //{name:'ECMAScript', year:2022};

    function myFn(param_1, param_2, param_3, param_4, param_5) {
      console.log("Param 1: " + param_1);
      console.log("Param 2: " + param_2);
      console.log("Param 3: " + param_3);
      console.log("Param 4: " + param_4);
      console.log("Param 5: " + param_5);
    }
    var args = [2, 3, 4];
    myFn(1, ...args, 5);
  </script>
</html>
